PPL: Parma_Polyhedra_Library::Grid_Generator_System::const_iterator Class Reference

PPL 1.2

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
Parma_Polyhedra_Library::Grid_Generator_System::const_iterator Class Reference
C++ Language Interface

An iterator over a system of grid generators. More...

`#include <ppl.hh>`

Inherits iterator< std::forward_iterator_tag, Grid_Generator, std::ptrdiff_t, const Grid_Generator *, const Grid_Generator & >.

## Public Member Functions
| const_iterator ()
| Default constructor.
| const_iterator (const const_iterator &y)
| Ordinary copy constructor.
| ~const_iterator ()
| Destructor.
const_iterator & | operator= (const const_iterator &y)
| Assignment operator.
const Grid_Generator & | operator* () const
| Dereference operator.
const Grid_Generator * | operator-> () const
| Indirect member selector.
const_iterator & | operator++ ()
| Prefix increment operator.
const_iterator | operator++ (int)
| Postfix increment operator.
bool | operator== (const const_iterator &y) const
| Returns `true` if and only if `*this` and `y` are identical.
bool | operator!= (const const_iterator &y) const
| Returns `true` if and only if `*this` and `y` are different.

## Detailed Description

An iterator over a system of grid generators.

A const_iterator is used to provide read-only access to each generator contained in an object of Grid_Generator_System.

Example
  The following code prints the system of generators of the grid `gr`:
  const Grid_Generator_System& ggs = gr.generators();
  for (Grid_Generator_System::const_iterator i = ggs.begin(),
  ggs_end = ggs.end(); i != ggs_end; ++i)
  cout << *i << endl;
  The same effect can be obtained more concisely by using more features of the STL:
  const Grid_Generator_System& ggs = gr.generators();
  copy(ggs.begin(), ggs.end(), ostream_iterator<Grid_Generator>(cout, "\n"));

The documentation for this class was generated from the following file:

- ppl.hh